Package com.google.protobuf

# Enum Class WireFormat.FieldType

java.lang.Object
java.lang.Enum<WireFormat.FieldType>
com.google.protobuf.WireFormat.FieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<WireFormat.FieldType>`, `Constable`

Enclosing class:
  `WireFormat`

public static enum WireFormat.FieldType extends Enum<WireFormat.FieldType>
Lite equivalent to `Descriptors.FieldDescriptor.Type`. This is only here to support the lite runtime and should not be used by users.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOL`
`BYTES`
`DOUBLE`
`ENUM`
`FIXED32`
`FIXED64`
`FLOAT`
`GROUP`
`INT32`
`INT64`
`MESSAGE`
`SFIXED32`
`SFIXED64`
`SINT32`
`SINT64`
`STRING`
`UINT32`
`UINT64`

## Method Summary

Modifier and Type
Method
Description
`WireFormat.JavaType`
`getJavaType()`
`int`
`getWireType()`
`boolean`
`isPackable()`
`static WireFormat.FieldType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WireFormat.FieldType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOUBLE

public static final WireFormat.FieldType DOUBLE

### FLOAT

public static final WireFormat.FieldType FLOAT

### INT64

public static final WireFormat.FieldType INT64

### UINT64

public static final WireFormat.FieldType UINT64

### INT32

public static final WireFormat.FieldType INT32

### FIXED64

public static final WireFormat.FieldType FIXED64

### FIXED32

public static final WireFormat.FieldType FIXED32

### BOOL

public static final WireFormat.FieldType BOOL

### STRING

public static final WireFormat.FieldType STRING

### GROUP

public static final WireFormat.FieldType GROUP

### MESSAGE

public static final WireFormat.FieldType MESSAGE

### BYTES

public static final WireFormat.FieldType BYTES

### UINT32

public static final WireFormat.FieldType UINT32

### ENUM

public static final WireFormat.FieldType ENUM

### SFIXED32

public static final WireFormat.FieldType SFIXED32

### SFIXED64

public static final WireFormat.FieldType SFIXED64

### SINT32

public static final WireFormat.FieldType SINT32

### SINT64

public static final WireFormat.FieldType SINT64

## Method Details

### values

public static WireFormat.FieldType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WireFormat.FieldType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getJavaType

public WireFormat.JavaType getJavaType()

### getWireType

public int getWireType()

### isPackable

public boolean isPackable()